<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionSingleUseBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d91/class_action_single_use_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionSingleUseBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionSingleUseBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d91/class_action_single_use_base.png" usemap="#ActionSingleUseBase_map" alt=""/>
  <map id="ActionSingleUseBase_map" name="ActionSingleUseBase_map">
<area href="../../d7/d94/class_animated_action_base.html" alt="AnimatedActionBase" shape="rect" coords="0,0,208,24"/>
<area href="../../da/d7b/class_action_attach_on_selection.html" alt="ActionAttachOnSelection" shape="rect" coords="218,112,426,136"/>
<area href="../../d4/da7/class_action_attach_power_source_to_panel.html" title="DEPRECATED." alt="ActionAttachPowerSourceToPanel" shape="rect" coords="218,168,426,192"/>
<area href="../../d3/d62/class_action_attach_to_construction.html" alt="ActionAttachToConstruction" shape="rect" coords="218,224,426,248"/>
<area href="../../d1/d08/class_action_build_part_switch.html" alt="ActionBuildPartSwitch" shape="rect" coords="218,280,426,304"/>
<area href="../../db/d02/class_action_clap_bear_trap_with_this_item.html" alt="ActionClapBearTrapWithThisItem" shape="rect" coords="218,336,426,360"/>
<area href="../../d4/d77/class_action_close.html" alt="ActionClose" shape="rect" coords="218,392,426,416"/>
<area href="../../d6/d3a/class_action_consume_single.html" alt="ActionConsumeSingle" shape="rect" coords="218,448,426,472"/>
<area href="../../d0/d80/class_action_create_indoor_fireplace.html" alt="ActionCreateIndoorFireplace" shape="rect" coords="218,504,426,528"/>
<area href="../../db/de0/class_action_create_indoor_oven.html" alt="ActionCreateIndoorOven" shape="rect" coords="218,560,426,584"/>
<area href="../../d7/d00/class_action_disinfect_plant_bit.html" alt="ActionDisinfectPlantBit" shape="rect" coords="218,616,426,640"/>
<area href="../../d2/de8/class_action_drop_item.html" alt="ActionDropItem" shape="rect" coords="218,672,426,696"/>
<area href="../../dc/d58/class_action_empty_seeds_pack.html" alt="ActionEmptySeedsPack" shape="rect" coords="218,728,426,752"/>
<area href="../../d6/d66/class_action_fold_entity_to_slot.html" alt="ActionFoldEntityToSlot" shape="rect" coords="218,784,426,808"/>
<area href="../../db/d10/class_action_force_consume_single.html" alt="ActionForceConsumeSingle" shape="rect" coords="218,840,426,864"/>
<area href="../../d2/dd4/class_action_handcuff_target.html" alt="ActionHandcuffTarget" shape="rect" coords="218,896,426,920"/>
<area href="../../df/d63/class_action_hands_part_switch.html" alt="ActionHandsPartSwitch" shape="rect" coords="218,952,426,976"/>
<area href="../../d6/d10/class_action_inject_self.html" alt="ActionInjectSelf" shape="rect" coords="218,1008,426,1032"/>
<area href="../../db/d1a/class_action_inject_target.html" alt="ActionInjectTarget" shape="rect" coords="218,1064,426,1088"/>
<area href="../../d5/de2/class_action_insert_sparkplug.html" alt="ActionInsertSparkplug" shape="rect" coords="218,1120,426,1144"/>
<area href="../../dd/d4c/class_action_measure_battery.html" alt="ActionMeasureBattery" shape="rect" coords="218,1176,426,1200"/>
<area href="../../d5/d0a/class_action_next_combination_lock_dial.html" alt="ActionNextCombinationLockDial" shape="rect" coords="218,1232,426,1256"/>
<area href="../../da/dc0/class_action_open.html" alt="ActionOpen" shape="rect" coords="218,1288,426,1312"/>
<area href="../../db/d54/class_action_place_fireplace_indoor.html" alt="ActionPlaceFireplaceIndoor" shape="rect" coords="218,1344,426,1368"/>
<area href="../../df/dd9/class_action_place_fireplace_into_barrel.html" alt="ActionPlaceFireplaceIntoBarrel" shape="rect" coords="218,1400,426,1424"/>
<area href="../../d2/d86/class_action_place_oven_indoor.html" alt="ActionPlaceOvenIndoor" shape="rect" coords="218,1456,426,1480"/>
<area href="../../d1/d71/class_action_plant_seed.html" alt="ActionPlantSeed" shape="rect" coords="218,1512,426,1536"/>
<area href="../../de/dcb/class_action_plug_in.html" alt="ActionPlugIn" shape="rect" coords="218,1568,426,1592"/>
<area href="../../d6/d34/class_action_plug_into_fence.html" alt="ActionPlugIntoFence" shape="rect" coords="218,1624,426,1648"/>
<area href="../../d3/dbe/class_action_plug_target_into_this.html" alt="ActionPlugTargetIntoThis" shape="rect" coords="218,1680,426,1704"/>
<area href="../../d1/d31/class_action_repair_with_tool_from_hands.html" alt="ActionRepairWithToolFromHands" shape="rect" coords="218,1736,426,1760"/>
<area href="../../dc/d0e/class_action_stop_engine.html" alt="ActionStopEngine" shape="rect" coords="218,1792,426,1816"/>
<area href="../../dd/da3/class_action_take_material_to_hands_switch.html" alt="ActionTakeMaterialToHandsSwitch" shape="rect" coords="218,1848,426,1872"/>
<area href="../../d9/d11/class_action_toggle_n_v_mode.html" alt="ActionToggleNVMode" shape="rect" coords="218,1904,426,1928"/>
<area href="../../d8/d94/class_action_toggle_place_object.html" alt="ActionTogglePlaceObject" shape="rect" coords="218,1960,426,1984"/>
<area href="../../d0/d2b/class_action_trigger_remotely.html" alt="ActionTriggerRemotely" shape="rect" coords="218,2016,426,2040"/>
<area href="../../d9/d68/class_action_turn_off_weapon_flashlight.html" alt="ActionTurnOffWeaponFlashlight" shape="rect" coords="218,2072,426,2096"/>
<area href="../../dd/d41/class_action_turn_off_while_in_hands.html" alt="ActionTurnOffWhileInHands" shape="rect" coords="218,2128,426,2152"/>
<area href="../../d5/d77/class_action_turn_on_weapon_flashlight.html" alt="ActionTurnOnWeaponFlashlight" shape="rect" coords="218,2184,426,2208"/>
<area href="../../d8/d4f/class_action_turn_on_while_in_hands.html" alt="ActionTurnOnWhileInHands" shape="rect" coords="218,2240,426,2264"/>
<area href="../../d9/d0d/class_action_unfold_entity.html" alt="ActionUnfoldEntity" shape="rect" coords="218,2296,426,2320"/>
<area href="../../db/d38/class_action_wash_hands_item.html" alt="ActionWashHandsItem" shape="rect" coords="218,2352,426,2376"/>
<area href="../../d7/d4f/class_action_world_craft_cancel.html" alt="ActionWorldCraftCancel" shape="rect" coords="218,2408,426,2432"/>
<area href="../../d7/d5e/class_action_world_craft_switch.html" alt="ActionWorldCraftSwitch" shape="rect" coords="218,2464,426,2488"/>
<area href="../../df/d2c/class_action_world_flag_action_switch.html" alt="ActionWorldFlagActionSwitch" shape="rect" coords="218,2520,426,2544"/>
<area href="../../d5/d0a/class_action_world_liquid_action_switch.html" alt="ActionWorldLiquidActionSwitch" shape="rect" coords="218,2576,426,2600"/>
<area href="../../d2/d90/class_action_zoom_in.html" alt="ActionZoomIn" shape="rect" coords="218,2632,426,2656"/>
<area href="../../d5/dd7/class_action_zoom_out.html" alt="ActionZoomOut" shape="rect" coords="218,2688,426,2712"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7fb9bb540b206d86d417291fc75e1c5c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a7fb9bb540b206d86d417291fc75e1c5c">ActionSingleUseBase</a> ()</td></tr>
<tr class="separator:a7fb9bb540b206d86d417291fc75e1c5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fe3d773c92c5bf4c4e421e160c3113e"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a4fe3d773c92c5bf4c4e421e160c3113e">GetInputType</a> ()</td></tr>
<tr class="separator:a4fe3d773c92c5bf4c4e421e160c3113e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b9ca352203949baf5405e890c42092a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a3b9ca352203949baf5405e890c42092a">GetActionCategory</a> ()</td></tr>
<tr class="separator:a3b9ca352203949baf5405e890c42092a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf7c738b96053445e30b86e9a42f7e91"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#aaf7c738b96053445e30b86e9a42f7e91">ActionPin</a> ()</td></tr>
<tr class="separator:aaf7c738b96053445e30b86e9a42f7e91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9658b6e1ce1959b7ba6e3e5a0c5adb0d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a9658b6e1ce1959b7ba6e3e5a0c5adb0d">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a9658b6e1ce1959b7ba6e3e5a0c5adb0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f2c9c1e8509523e4154f82ea11d6dce"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a0f2c9c1e8509523e4154f82ea11d6dce">HasTarget</a> ()</td></tr>
<tr class="separator:a0f2c9c1e8509523e4154f82ea11d6dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adabd82e2307225dbe0d5753da25dc3d3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#adabd82e2307225dbe0d5753da25dc3d3">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:adabd82e2307225dbe0d5753da25dc3d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27b50ea9fd9eca17c56e2fbb936b5530"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a27b50ea9fd9eca17c56e2fbb936b5530">OnExecute</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a27b50ea9fd9eca17c56e2fbb936b5530"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3efd1a05fc2168ed7cb12073d3e4197"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#ac3efd1a05fc2168ed7cb12073d3e4197">ActionUnpin</a> ()</td></tr>
<tr class="separator:ac3efd1a05fc2168ed7cb12073d3e4197"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9658b6e1ce1959b7ba6e3e5a0c5adb0d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a9658b6e1ce1959b7ba6e3e5a0c5adb0d">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a9658b6e1ce1959b7ba6e3e5a0c5adb0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f2c9c1e8509523e4154f82ea11d6dce"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a0f2c9c1e8509523e4154f82ea11d6dce">HasTarget</a> ()</td></tr>
<tr class="separator:a0f2c9c1e8509523e4154f82ea11d6dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adabd82e2307225dbe0d5753da25dc3d3"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#adabd82e2307225dbe0d5753da25dc3d3">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:adabd82e2307225dbe0d5753da25dc3d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27b50ea9fd9eca17c56e2fbb936b5530"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d91/class_action_single_use_base.html#a27b50ea9fd9eca17c56e2fbb936b5530">OnExecute</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a27b50ea9fd9eca17c56e2fbb936b5530"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d93/_action_single_use_base_8c_source.html#l00041">41</a> of file <a class="el" href="../../de/d93/_action_single_use_base_8c_source.html">ActionSingleUseBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7fb9bb540b206d86d417291fc75e1c5c" name="a7fb9bb540b206d86d417291fc75e1c5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fb9bb540b206d86d417291fc75e1c5c">&#9670;&#160;</a></span>ActionSingleUseBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionSingleUseBase::ActionSingleUseBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d93/_action_single_use_base_8c_source.html#l00043">43</a> of file <a class="el" href="../../de/d93/_action_single_use_base_8c_source.html">ActionSingleUseBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adabd82e2307225dbe0d5753da25dc3d3" name="adabd82e2307225dbe0d5753da25dc3d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adabd82e2307225dbe0d5753da25dc3d3">&#9670;&#160;</a></span>ActionCondition() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionSingleUseBase::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbe/_action_pin_8c_source.html#l00019">19</a> of file <a class="el" href="../../d7/dbe/_action_pin_8c_source.html">ActionPin.c</a>.</p>

</div>
</div>
<a id="adabd82e2307225dbe0d5753da25dc3d3" name="adabd82e2307225dbe0d5753da25dc3d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adabd82e2307225dbe0d5753da25dc3d3">&#9670;&#160;</a></span>ActionCondition() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionSingleUseBase::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html#l00019">19</a> of file <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html">ActionUnpin.c</a>.</p>

</div>
</div>
<a id="aaf7c738b96053445e30b86e9a42f7e91" name="aaf7c738b96053445e30b86e9a42f7e91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf7c738b96053445e30b86e9a42f7e91">&#9670;&#160;</a></span>ActionPin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionSingleUseBase::ActionPin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbe/_action_pin_8c_source.html#l00003">3</a> of file <a class="el" href="../../d7/dbe/_action_pin_8c_source.html">ActionPin.c</a>.</p>

</div>
</div>
<a id="ac3efd1a05fc2168ed7cb12073d3e4197" name="ac3efd1a05fc2168ed7cb12073d3e4197"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3efd1a05fc2168ed7cb12073d3e4197">&#9670;&#160;</a></span>ActionUnpin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionSingleUseBase::ActionUnpin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html#l00003">3</a> of file <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html">ActionUnpin.c</a>.</p>

</div>
</div>
<a id="a9658b6e1ce1959b7ba6e3e5a0c5adb0d" name="a9658b6e1ce1959b7ba6e3e5a0c5adb0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9658b6e1ce1959b7ba6e3e5a0c5adb0d">&#9670;&#160;</a></span>CreateConditionComponents() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSingleUseBase::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbe/_action_pin_8c_source.html#l00008">8</a> of file <a class="el" href="../../d7/dbe/_action_pin_8c_source.html">ActionPin.c</a>.</p>

</div>
</div>
<a id="a9658b6e1ce1959b7ba6e3e5a0c5adb0d" name="a9658b6e1ce1959b7ba6e3e5a0c5adb0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9658b6e1ce1959b7ba6e3e5a0c5adb0d">&#9670;&#160;</a></span>CreateConditionComponents() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSingleUseBase::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html#l00008">8</a> of file <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html">ActionUnpin.c</a>.</p>

</div>
</div>
<a id="a3b9ca352203949baf5405e890c42092a" name="a3b9ca352203949baf5405e890c42092a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b9ca352203949baf5405e890c42092a">&#9670;&#160;</a></span>GetActionCategory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ActionSingleUseBase::GetActionCategory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d93/_action_single_use_base_8c_source.html#l00054">54</a> of file <a class="el" href="../../de/d93/_action_single_use_base_8c_source.html">ActionSingleUseBase.c</a>.</p>

</div>
</div>
<a id="a4fe3d773c92c5bf4c4e421e160c3113e" name="a4fe3d773c92c5bf4c4e421e160c3113e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fe3d773c92c5bf4c4e421e160c3113e">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionSingleUseBase::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d93/_action_single_use_base_8c_source.html#l00049">49</a> of file <a class="el" href="../../de/d93/_action_single_use_base_8c_source.html">ActionSingleUseBase.c</a>.</p>

</div>
</div>
<a id="a0f2c9c1e8509523e4154f82ea11d6dce" name="a0f2c9c1e8509523e4154f82ea11d6dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f2c9c1e8509523e4154f82ea11d6dce">&#9670;&#160;</a></span>HasTarget() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionSingleUseBase::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbe/_action_pin_8c_source.html#l00014">14</a> of file <a class="el" href="../../d7/dbe/_action_pin_8c_source.html">ActionPin.c</a>.</p>

</div>
</div>
<a id="a0f2c9c1e8509523e4154f82ea11d6dce" name="a0f2c9c1e8509523e4154f82ea11d6dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f2c9c1e8509523e4154f82ea11d6dce">&#9670;&#160;</a></span>HasTarget() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionSingleUseBase::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html#l00014">14</a> of file <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html">ActionUnpin.c</a>.</p>

</div>
</div>
<a id="a27b50ea9fd9eca17c56e2fbb936b5530" name="a27b50ea9fd9eca17c56e2fbb936b5530"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27b50ea9fd9eca17c56e2fbb936b5530">&#9670;&#160;</a></span>OnExecute() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSingleUseBase::OnExecute </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/dbe/_action_pin_8c_source.html#l00044">44</a> of file <a class="el" href="../../d7/dbe/_action_pin_8c_source.html">ActionPin.c</a>.</p>

</div>
</div>
<a id="a27b50ea9fd9eca17c56e2fbb936b5530" name="a27b50ea9fd9eca17c56e2fbb936b5530"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27b50ea9fd9eca17c56e2fbb936b5530">&#9670;&#160;</a></span>OnExecute() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionSingleUseBase::OnExecute </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html#l00042">42</a> of file <a class="el" href="../../dd/dfa/_action_unpin_8c_source.html">ActionUnpin.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/<a class="el" href="../../de/d93/_action_single_use_base_8c_source.html">ActionSingleUseBase.c</a></li>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../d7/dbe/_action_pin_8c_source.html">ActionPin.c</a></li>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../dd/dfa/_action_unpin_8c_source.html">ActionUnpin.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
